Bug 507730 - KVM: SVM: Remove port 80 passthrough (upstream backport)
KVM: SVM: Remove port 80 passthrough (upstream backport)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Marcelo Tosatti
Lawrence Lim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 18:01 EDT by Marcelo Tosatti
Modified: 2014-03-25 20:58 EDT (History)
8 users (show)

See Also:
Fixed In Version: kvm-83-85.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:36:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
KVM-SVM-remove-port80-passthrough.patch (1.04 KB, patch)
2009-06-23 18:03 EDT, Marcelo Tosatti
no flags Details | Diff

  None (edit)
Description Marcelo Tosatti 2009-06-23 18:01:55 EDT
commit f17274f4c9670bb403a450ca1c8b7006897a9872
Author: Avi Kivity <avi@redhat.com>
Date:   Mon May 11 14:21:10 2009 +0300

    KVM: SVM: Remove port 80 passthrough

    KVM optimizes guest port 80 accesses by passthing them through to the host.
    Some AMD machines die on port 80 writes, allowing the guest to hard-lock the
    host.

    Remove the port passthrough to avoid the problem.

    Cc: stable@kernel.org
    Reported-by: Piotr Jaroszyński <p.jaroszynski@gmail.com>
    Tested-by: Piotr Jaroszyński <p.jaroszynski@gmail.com>
    Signed-off-by: Avi Kivity <avi@redhat.com>
Comment 1 Marcelo Tosatti 2009-06-23 18:03:33 EDT
Created attachment 349159 [details]
KVM-SVM-remove-port80-passthrough.patch
Comment 10 lihuang 2009-07-13 12:43:54 EDT
Verified the patch is already applied in kvm-83-87.el5.
# rpm -q --changelog kvm | grep 507730
- kvm-kernel-KVM-SVM-Remove-port-80-passthrough-upstream-backport.patch [bz#507730]
- Resolves: bz#507730 - KVM: SVM: Remove port 80 passthrough (upstream backport)

And no evidence show these patches introduce regressions during the acceptance testing .
setting to *VERIFIED*
Comment 12 errata-xmlrpc 2009-09-02 05:36:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1272.html

Note You need to log in before you can comment on or make changes to this bug.